News:

SMF 2.0.19 has been released! Please update. Read more.

Main Menu

Migration from 1.1.21 to 2.0.19

Started by DarthNuno, June 07, 2022, 12:59:30 PM

Previous topic - Next topic

DarthNuno

Hello,

I'm struggling to upgrade my board from SMF 1.1.21 to the 2.0.19
I didn't to upgrade but I do not have the choice anymore (my website provider migrates onto new servers where old php won't work anymore). But the positive thing is I'll be up to date.... better late than never ;-)

But its not as easy. Here's what I got after running the upgrade.php :

You cannot view this attachment.

Repair settings command gives me this :

You cannot view this attachment.

Did you already spot something that could show what may be wrong ?

Thanks in advance for any help  :-[
[nofollow]

Doug Heffernan

#1
Quote from: DarthNuno on June 07, 2022, 12:59:30 PMHello,

I'm struggling to upgrade my board from SMF 1.1.21 to the 2.0.19
I didn't to upgrade but I do not have the choice anymore (my website provider migrates onto new servers where old php won't work anymore). But the positive thing is I'll be up to date.... better late than never ;-)

But its not as easy. Here's what I got after running the upgrade.php :

I take it that you have overwritten your forum files with those from the large 2.0.19 package. Am I right in my assumption? What version of php are you using?

Are you trying to upgrade your forum in the current server or is this on a new server?

DarthNuno

Quote from: Doug Heffernan on June 07, 2022, 01:09:06 PMI take it that you have overwritten your forum files with those from the large 2.0.19 package. What version of php are you using?

Yes, I'm trying to upgrade from the new server. Here's the version ->

[email protected]:~$ php -v
PHP 8.0.17 (cli) (built: Mar 22 2022 18:26:50) ( NTS )
Copyright (c) The PHP Group
Zend Engine v4.0.17, Copyright (c) Zend Technologies
[nofollow]

Doug Heffernan

Quote from: DarthNuno on June 07, 2022, 01:16:37 PMYes, I'm trying to upgrade from the new server. Here's the version ->

[email protected]:~$ php -v
PHP 8.0.17 (cli) (built: Mar 22 2022 18:26:50) ( NTS )
Copyright (c) The PHP Group
Zend Engine v4.0.17, Copyright (c) Zend Technologies

When you moved your forum to the new server, did you update all the paths and urls so they can point to the new set up? If you have not done that yet, you can use the following tool:

What is repair_settings.php?

Regarding the php version, can you downgrade it to php 7.4.?

DarthNuno

Quote from: Doug Heffernan on June 07, 2022, 01:20:02 PMWhen you moved your forum to the new server, did you update all the paths and urls so they can point to the new set up? If you have not done that yet, you can use the following tool:

Yes I adapted server,database and user name in the settings.php.
After that, the index of my forum was reachable (I was able to log and browse) but some of the 'visuals' of the board weren't correct. Pictures (the ones tagged [img ] [/ img] in the messages didn't display for exemple)
But I thought this would be fixed aftert the upgrade has the new server target (better php version), combined with SMF 2.0 would fix that. But as you can see the upgrades doesn't work so far :-S

Quote from: Doug Heffernan on June 07, 2022, 01:20:02 PMRegarding the php version, can you downgrade it to php 7.4.?

Nope, it's the version provided by the host.
[nofollow]

Doug Heffernan

Quote from: DarthNuno on June 07, 2022, 01:34:32 PMYes I adapted server,database and user name in the settings.php.

That is something entirely different. All the paths and urls must be updated too when one changes hosts, so they can point to the new locations.

What about this other part?

Quote from: Doug Heffernan on June 07, 2022, 01:09:06 PMI take it that you have overwritten your forum files with those from the large 2.0.19 package. Am I right in my assumption?

What program/method did you use to overwrite your forum files?

Quote from: DarthNuno on June 07, 2022, 01:34:32 PMBut I thought this would be fixed aftert the upgrade has the new server target (better php version), combined with SMF 2.0 would fix that. But as you can see the upgrades doesn't work so far :-S

In this case, the update of the paths and urls are best done before the upgrade, immediately after the server move, and not afterwards.

Kindred

Why did you not go straight to 2.1.2?
Слова
Украина

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

DarthNuno

Problem solved  :) My forum is now updated and live in SMF 2.0.19, running on the providertarget server (using php 7.4).
My mistake was -like many topics I've found here- a mistake in the URL configuration  O:)  ...fortunately, repair_settings.php showed me that! But I spent TWO entire days for that!
The only think I lost was my custom pictures gallery ... but guys, I'm so happy the main board is eventually safe. Next step for me will be the usage of a certificate. As far as I can see, google doesn't refer anymore website/forum without ssl? Anyway, thanks for listening our issue and be so fast to provide answers  :)  You can close this topic, I confirm we can upgrade from 1.1.21 to 2.0.19 in one shot!  8)
[nofollow]

Kindred

Quote from: Kindred on June 07, 2022, 03:04:59 PMWhy did you not go straight to 2.1.2?


You realize that you are just delaying the SAME situation which yo are going to have to do when 2.0.x goes End of Life?
Слова
Украина

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Doug Heffernan

Quote from: DarthNuno on June 08, 2022, 01:09:05 PMProblem solved  :) My forum is now updated and live in SMF 2.0.19, running on the providertarget server (using php 7.4).

Glad to hear that you got your forum upgraded successfully.

Quote from: DarthNuno on June 08, 2022, 01:09:05 PMNext step for me will be the usage of a certificate. As far as I can see, google doesn't refer anymore website/forum without ssl?

Have a look at this guide when the time comes to convert to https. It will help a lot.

https://www.simplemachines.org/community/index.php?topic=555034.0

Quote from: DarthNuno on June 08, 2022, 01:09:05 PMAnyway, thanks for listening our issue and be so fast to provide answers  :)

You are welcome :)

Quote from: DarthNuno on June 08, 2022, 01:09:05 PMYou can close this topic, I confirm we can upgrade from 1.1.21 to 2.0.19 in one shot!  8)

Done. I will mark this topic as solved.

Advertisement: